Create Email Branding

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Creates the given email branding. If the upsert query param is set to truethen, instead of performing a create, the API will switch to performing an upsert. For an upsert request, the following fields are required:

Required Upsert Fields:

  • ownerType
  • ownerId

When performing an upsert, the above fields will be used to determine whether the email branding resource already exists. If the email branding already exists, a partial update will be performed; otherwise, a new email branding entity will be created.

In the response of an upsert request, if a create was performed, then a 201 response code will be returned; otherwise, if an update was performed, then a 200 will be returned.

Required Permissions

Below is the list of required permissions needed to interact with this API. For each permission, the allowed permission boundaries are also specified.

PermissionBoundaryDescription
email-branding:writeApplicationThe subject can create email brandings for the application the subject belongs to.
TenantThe subject can create email brandings for the tenant the subject belongs to.
Tenant Inclusion ListThe subject can create email brandings for tenants specified in the tenant inclusion list.
Tenant Exclusion ListThe subject can create email brandings for tenants in the subject's application who are not on the tenant exclusion list.
Query Params
boolean
Defaults to false

Boolean indicating if the operation should be treated as an upsert

Body Params

Email Branding JSON object

Email Branding

string
enum
required
length between 1 and 30

[Required on Create and Upsert] The type of the owner of the resource.

Allowed:
string
required
length between 1 and 26

[Required on Create and Upsert] The ID of the owner of the resource.

string
length between 7 and 7
^#[0-9a-fA-F]{6}$

[Required on Create] The primary button background color to render.

string
length between 7 and 7
^#[0-9a-fA-F]{6}$

[Required on Create] The primary button text color to render.

integer
0 to 32

[Required on Create] The border radius, in pixels, of the primary button.

string
length between 7 and 7
^#[0-9a-fA-F]{6}$

[Required on Create] The primary button border color to render.

boolean
Defaults to true

Indicates whether the logo is displayed in emails.

uri
length between 1 and 2000

The URL location of the onboard logo to render.

integer
16 to 96
Defaults to 64

The height, in pixels, of the logo image.

integer
16 to 550
Defaults to 297

The width, in pixels, of the logo image.

string
length between 1 and 60

The logo image alt text.

uri
length between 1 and 2000

The URL to the application's main website.

uri
length between 1 and 2000

The URL to the application's support page.

string
length between 1 and 200

The application's support email.

Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json